import React from 'react';
import { StyleSheet, TouchableOpacity, Text } from 'react-native';
import themeColors from '../assets/colors';

export const AppIconButton = (props) => {
  return(
    <TouchableOpacity onPress={props.onPress} style={styles.button}>
      <Text style={styles.label}>{props.label}</Text>
    </TouchableOpacity>
  )
}

const styles = StyleSheet.create({
  button:{
    alignItems: "center",
    justifyContent: 'center',
    padding: 10,
    fontSize: 16,
    width: 150,
    height: 55,
    backgroundColor: themeColors.BLACK,
    borderRadius: 20,
    shadowColor: 'rgba(0,0,0, .4)',
    shadowOffset: { height: 2, width: 1 },
    shadowOpacity: 1,
    shadowRadius: 1,
    elevation: 2,
    marginHorizontal: 10
  },
  label: {
    fontSize: 20,
    color: themeColors.WHITE
  }
});

